@import "../../variables.scss";

.heroParent {
  background: url("../../assets/wallpapers/hawk-bg.opti.webp");
  width: 100%;
  min-height: 100vh;
  background-attachment: fixed;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
  transition: background-image var(--backgroundAnimationTime);
  align-items: end;
}

@media (max-width: $mobileWidth) {
  .heroParent {
    align-items: center;
  }
}

.heroImageForeground {
  max-width: 100%;
  max-height: calc(100% - var(--navbarHeight) * 1.5);
  padding-top: var(--navbarHeight);
  position: absolute;
  left: 0;
  bottom: 0;
  object-fit: contain;
  animation: fadeFromLeft 1s;
}

@media (max-width: $mobileWidth) {
    .heroImageForeground {
      display: none;
    }
  }

.heroChildWrapper {
  height: 50vh;
}

.heroChild {
  background-color: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(10px);
  padding: var(--spacingLarge) var(--viewPortSideOffset);
  border-radius: var(--borderRadius);
}

.heroHeaderIcon {
  width: 60px;
  height: 60px;
}
